## xe-guest-utilities 5.6.0-595

=== tools/libxc/Makefile ===
XEN_ROOT = ../..
include $(XEN_ROOT)/tools/Rules.mk

MAJOR    = 3.4
MINOR    = 0

CTRL_SRCS-y       :=
CTRL_SRCS-y       += xc_core.c
CTRL_SRCS-$(CONFIG_X86) += xc_core_x86.c
CTRL_SRCS-$(CONFIG_IA64) += xc_core_ia64.c
CTRL_SRCS-y       += xc_domain.c
CTRL_SRCS-y       += xc_evtchn.c
CTRL_SRCS-y       += xc_misc.c
CTRL_SRCS-y       += xc_acm.c
CTRL_SRCS-y       += xc_flask.c
CTRL_SRCS-y       += xc_physdev.c
CTRL_SRCS-y       += xc_private.c
CTRL_SRCS-y       += xc_sedf.c
CTRL_SRCS-y       += xc_csched.c
CTRL_SRCS-y       += xc_tbuf.c
CTRL_SRCS-y       += xc_pm.c
CTRL_SRCS-y       += xc_cpu_hotplug.c
CTRL_SRCS-y       += xc_resume.c
CTRL_SRCS-$(CONFIG_X86) += xc_cpuid_x86.c
CTRL_SRCS-$(CONFIG_X86) += xc_pagetab.c
CTRL_SRCS-$(CONFIG_Linux) += xc_linux.c
CTRL_SRCS-$(CONFIG_SunOS) += xc_solaris.c
CTRL_SRCS-$(CONFIG_X86_Linux) += xc_ptrace.c xc_ptrace_core.c
CTRL_SRCS-$(CONFIG_NetBSD) += xc_netbsd.c
CTRL_SRCS-$(CONFIG_MiniOS) += xc_minios.c

GUEST_SRCS-y :=
GUEST_SRCS-y += xg_private.c xc_suspend.c
GUEST_SRCS-$(CONFIG_MIGRATE) += xc_domain_restore.c xc_domain_save.c
GUEST_SRCS-$(CONFIG_HVM) += xc_hvm_build.c

vpath %.c ../../xen/common/libelf
CFLAGS += -I../../xen/common/libelf

GUEST_SRCS-y += libelf-tools.c libelf-loader.c
GUEST_SRCS-y += libelf-dominfo.c libelf-relocate.c

# new domain builder
GUEST_SRCS-y                 += xc_dom_core.c xc_dom_boot.c
GUEST_SRCS-y                 += xc_dom_elfloader.c
GUEST_SRCS-$(CONFIG_X86)     += xc_dom_bzimageloader.c
GUEST_SRCS-y                 += xc_dom_binloader.c
GUEST_SRCS-y                 += xc_dom_compat_linux.c

GUEST_SRCS-$(CONFIG_X86)     += xc_dom_x86.c
GUEST_SRCS-$(CONFIG_IA64)    += xc_dom_ia64.c

-include $(XEN_TARGET_ARCH)/Makefile

CFLAGS   += -Werror -Wmissing-prototypes
CFLAGS   += $(INCLUDES) -I. -I../xenstore -I../include

# Needed for posix_fadvise64() in xc_linux.c
CFLAGS-$(CONFIG_Linux) += -D_GNU_SOURCE

# Define this to make it possible to run valgrind on code linked with these
# libraries.
#CFLAGS   += -DVALGRIND -O0 -ggdb3

LDFLAGS  += -L.

# Support libxc used from threaded application
LIBXC_SUPPORT_THREADING ?= yes

ifeq ($(LIBXC_SUPPORT_THREADING),yes)
LIBXC_LIBS := $(PTHREAD_LIBS)
CFLAGS     += -DLIBXC_SUPPORT_THREADING=1
endif

CTRL_LIB_OBJS := $(patsubst %.c,%.o,$(CTRL_SRCS-y))
CTRL_PIC_OBJS := $(patsubst %.c,%.opic,$(CTRL_SRCS-y))

GUEST_LIB_OBJS := $(patsubst %.c,%.o,$(GUEST_SRCS-y))
GUEST_PIC_OBJS := $(patsubst %.c,%.opic,$(GUEST_SRCS-y))

LIB := libxenctrl.a
ifneq ($(stubdom),y)
LIB += libxenctrl.so libxenctrl.so.$(MAJOR) libxenctrl.so.$(MAJOR).$(MINOR)
endif

LIB += libxenguest.a
ifneq ($(stubdom),y)
LIB += libxenguest.so libxenguest.so.$(MAJOR) libxenguest.so.$(MAJOR).$(MINOR)
endif

.PHONY: all
all: build

.PHONY: build
build:
	$(MAKE) libs

.PHONY: libs
libs: $(LIB)

.PHONY: install
install: build
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_DIR) $(DESTDIR)$(INCLUDEDIR)
	$(INSTALL_PROG) libxenctrl.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_DATA) libxenctrl.a $(DESTDIR)$(LIBDIR)
	ln -sf libxenctrl.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)/libxenctrl.so.$(MAJOR)
	ln -sf libxenctrl.so.$(MAJOR) $(DESTDIR)$(LIBDIR)/libxenctrl.so
	$(INSTALL_DATA) xenctrl.h $(DESTDIR)$(INCLUDEDIR)

	$(INSTALL_PROG) libxenguest.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_DATA) libxenguest.a $(DESTDIR)$(LIBDIR)
	ln -sf libxenguest.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)/libxenguest.so.$(MAJOR)
	ln -sf libxenguest.so.$(MAJOR) $(DESTDIR)$(LIBDIR)/libxenguest.so
	$(INSTALL_DATA) xenguest.h $(DESTDIR)$(INCLUDEDIR)

.PHONY: TAGS
TAGS:
	etags -t *.c *.h

.PHONY: clean
clean:
	rm -rf *.rpm $(LIB) *~ $(DEPS) \
            $(CTRL_LIB_OBJS) $(CTRL_PIC_OBJS) \
            $(GUEST_LIB_OBJS) $(GUEST_PIC_OBJS)

.PHONY: rpm
rpm: build
	rm -rf staging
	mkdir staging
	mkdir staging/i386
	rpmbuild --define "staging$$PWD/staging" --define '_builddir.' \
		--define "_rpmdir$$PWD/staging" -bb rpm.spec
	mv staging/i386/*.rpm .
	rm -rf staging

# libxenctrl

libxenctrl.a: $(CTRL_LIB_OBJS)
	$(AR) rc $@ $^

libxenctrl.so: libxenctrl.so.$(MAJOR)
	ln -sf $< $@
libxenctrl.so.$(MAJOR): libxenctrl.so.$(MAJOR).$(MINOR)
	ln -sf $< $@

libxenctrl.so.$(MAJOR).$(MINOR): $(CTRL_PIC_OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,$(SONAME_LDFLAG) -Wl,libxenctrl.so.$(MAJOR) $(SHLIB_CFLAGS) -o $@ $^ $(LIBXC_LIBS)

# libxenguest

libxenguest.a: $(GUEST_LIB_OBJS)
	$(AR) rc $@ $^

libxenguest.so: libxenguest.so.$(MAJOR)
	ln -sf $< $@
libxenguest.so.$(MAJOR): libxenguest.so.$(MAJOR).$(MINOR)
	ln -sf $< $@

ifeq ($(CONFIG_MiniOS),y)
zlib-options =
else
zlib-options = $(shell					\
	(. ../check/funcs.sh;				\
	 if has_header bzlib.h; then			\
           echo "-DHAVE_BZLIB";				\
	   echo "-lbz2";				\
	 fi;						\
	 if has_header lzma.h; then			\
	   echo "-DHAVE_LZMA";				\
	   echo "-llzma";				\
	 fi) | grep $(1))
endif

xc_dom_bzimageloader.o: CFLAGS += $(call zlib-options,D)
xc_dom_bzimageloader.opic: CFLAGS += $(call zlib-options,D)

libxenguest.so.$(MAJOR).$(MINOR): LDFLAGS += $(call zlib-options,l)
libxenguest.so.$(MAJOR).$(MINOR): $(GUEST_PIC_OBJS) libxenctrl.so
	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,$(SONAME_LDFLAG) -Wl,libxenguest.so.$(MAJOR) $(SHLIB_CFLAGS) -o $@ $(GUEST_PIC_OBJS) -lz -lxenctrl

-include $(DEPS)

=== tools/misc/Makefile ===
XEN_ROOT=../..
include $(XEN_ROOT)/tools/Rules.mk

CFLAGS   += -Werror

INCLUDES += -I $(XEN_XC)
INCLUDES += -I $(XEN_LIBXC)
INCLUDES += -I $(XEN_INCLUDE)
CFLAGS   += $(INCLUDES)

HDRS     = $(wildcard *.h)

TARGETS-y := xenperf xenpm xeninfo hvmctx
TARGETS-$(CONFIG_X86) += xen-detect
TARGETS := $(TARGETS-y)

SUBDIRS-$(CONFIG_LOMOUNT) += lomount
SUBDIRS-$(CONFIG_MINITERM) += miniterm
SUBDIRS := $(SUBDIRS-y)

INSTALL_BIN-y := xencons xenperf xeninfo hvmctx
INSTALL_BIN-$(CONFIG_X86) += xen-detect
INSTALL_BIN := $(INSTALL_BIN-y)

INSTALL_SBIN-y := xen-python-path xenperf xenpm
INSTALL_SBIN := $(INSTALL_SBIN-y)

DEFAULT_PYTHON_PATH := $(shell $(XEN_ROOT)/tools/python/get-path)
PYTHON_PATH ?= $(DEFAULT_PYTHON_PATH)
INSTALL_PYTHON_PROG = $(XEN_ROOT)/tools/python/install-wrap \
"$(PYTHON_PATH)" $(INSTALL_PROG)

.PHONY: all
all: build

.PHONY: build
build: $(TARGETS)
	set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d; done

.PHONY: install
install: build
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SBINDIR)
	$(INSTALL_PYTHON_PROG) $(INSTALL_BIN) $(DESTDIR)$(BINDIR)
	$(INSTALL_PYTHON_PROG) $(INSTALL_SBIN) $(DESTDIR)$(SBINDIR)
	set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d install-recurse; done

.PHONY: clean
clean:
	$(RM) *.o $(TARGETS) *~ $(DEPS)
	set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d clean; done

%.o: %.c $(HDRS) Makefile
	$(CC) -c $(CFLAGS) -o $@ $<

xenperf xenpm: %: %.o Makefile
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LDFLAGS_libxenctrl)

xeninfo: %: %.o Makefile
	$(CC) $(LDFLAGS) -o $@ $< -L$(XEN_LIBXC) -lxenctrl

hvmctx: %: %.o Makefile
	$(CC) $(LDFLAGS) -o $@ $< -L$(XEN_LIBXC) -lxenctrl

-include $(DEPS)

=== tools/xenstore/Makefile ===
XEN_ROOT=../..
include $(XEN_ROOT)/tools/Rules.mk

MAJOR = 3.0
MINOR = 0

CFLAGS += -Werror
CFLAGS += -I.
CFLAGS += $(CFLAGS_libxenctrl)

CLIENTS := xenstore-exists xenstore-list xenstore-read xenstore-rm xenstore-chmod
CLIENTS += xenstore-write xenstore-ls

XENSTORED_OBJS = xenstored_core.o xenstored_watch.o xenstored_domain.o xenstored_transaction.o xs_lib.o talloc.o utils.o tdb.o hashtable.o

XENSTORED_OBJS_$(CONFIG_Linux) = xenstored_linux.o
XENSTORED_OBJS_$(CONFIG_SunOS) = xenstored_solaris.o xenstored_probes.o
XENSTORED_OBJS_$(CONFIG_NetBSD) = xenstored_netbsd.o

XENSTORED_OBJS += $(XENSTORED_OBJS_y)

ifneq ($(XENSTORE_STATIC_CLIENTS),y)
LIBXENSTORE := libxenstore.so
else
LIBXENSTORE := libxenstore.a
xenstore xenstore-control: CFLAGS += -static
endif

.PHONY: all
all: libxenstore.so libxenstore.a clients

.PHONY: clients
clients: xenstore $(CLIENTS)

ifeq ($(CONFIG_SunOS),y)
xenstored_probes.h: xenstored_probes.d
	dtrace -C -h -s xenstored_probes.d

xenstored_solaris.o: xenstored_probes.h

xenstored_probes.o: xenstored_solaris.o
	dtrace -C -G -s xenstored_probes.d xenstored_solaris.o 

CFLAGS += -DHAVE_DTRACE=1
endif
 
xenstored: $(XENSTORED_OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LDFLAGS_libxenctrl) $(SOCKET_LIBS) -o $@

$(CLIENTS): xenstore
	ln -f xenstore $@

xenstore: xenstore_client.o $(LIBXENSTORE)
	$(CC) $(CFLAGS) $(LDFLAGS) $< -L. -lxenstore $(SOCKET_LIBS) -o $@

xenstore-control: xenstore_control.o $(LIBXENSTORE)
	$(CC) $(CFLAGS) $(LDFLAGS) $< -L. -lxenstore $(SOCKET_LIBS) -o $@

xs_tdb_dump: xs_tdb_dump.o utils.o tdb.o talloc.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@

libxenstore.so: libxenstore.so.$(MAJOR)
	ln -sf $< $@
libxenstore.so.$(MAJOR): libxenstore.so.$(MAJOR).$(MINOR)
	ln -sf $< $@

xs.opic: CFLAGS += -DUSE_PTHREAD

libxenstore.so.$(MAJOR).$(MINOR): xs.opic xs_lib.opic
	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,$(SONAME_LDFLAG) -Wl,libxenstore.so.$(MAJOR) $(SHLIB_CFLAGS) -o $@ $^ $(SOCKET_LIBS) -lpthread

libxenstore.a: xs.o xs_lib.o
	$(AR) rcs $@ $^

.PHONY: clean
clean:
	rm -f *.a *.o *.opic *.so* xenstored_probes.h
	rm -f xenstored xs_random xs_stress xs_crashme
	rm -f xs_tdb_dump xenstore-control
	rm -f xenstore $(CLIENTS)
	$(RM) $(DEPS)

.PHONY: TAGS
TAGS:
	etags `find . -name '*.[ch]'`

.PHONY: tarball
tarball: clean
	cd .. && tar -c -j -v -h -f xenstore.tar.bz2 xenstore/

.PHONY: client-install
client-install: $(CLIENTS)
	$(INSTALL_DIR) $(DESTDIR)/usr/bin
	$(INSTALL_PROG) xenstore $(DESTDIR)/usr/bin
	set -e ; for c in $(CLIENTS) ; do \
		ln -f $(DESTDIR)/usr/bin/xenstore $(DESTDIR)/usr/bin/$${c} ; \
	done

.PHONY: install
install: all client-install
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(INCLUDEDIR)
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_PROG) libxenstore.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)
	ln -sf libxenstore.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)/libxenstore.so.$(MAJOR)
	ln -sf libxenstore.so.$(MAJOR) $(DESTDIR)$(LIBDIR)/libxenstore.so
	$(INSTALL_DATA) libxenstore.a $(DESTDIR)$(LIBDIR)
	$(INSTALL_DATA) xs.h $(DESTDIR)$(INCLUDEDIR)
	$(INSTALL_DATA) xs_lib.h $(DESTDIR)$(INCLUDEDIR)

-include $(DEPS)

# never delete any intermediate files.
.SECONDARY:

=== tools/include/xen-foreign/Makefile ===
XEN_ROOT=../../..
include $(XEN_ROOT)/Config.mk

ROOT = $(XEN_ROOT)/xen/include/public

architectures := x86_32 x86_64 ia64
headers := $(patsubst %, %.h, $(architectures))

.PHONY: all clean check-headers
all: $(headers) check-headers

clean:
	rm -f $(headers)
	rm -f checker checker.c
	rm -f *.pyc *.o *~

checker: checker.c $(headers)
	$(HOSTCC) $(HOSTCFLAGS) -o $@ $<

check-headers: checker
	./checker > tmp.size
	diff -u reference.size tmp.size
	rm tmp.size

x86_32.h: mkheader.py structs.py $(ROOT)/arch-x86/xen-x86_32.h $(ROOT)/arch-x86/xen.h $(ROOT)/xen.h
	python $< $* $@ $(filter %.h,$^)

x86_64.h: mkheader.py structs.py $(ROOT)/arch-x86/xen-x86_64.h $(ROOT)/arch-x86/xen.h $(ROOT)/xen.h
	python $< $* $@ $(filter %.h,$^)

ia64.h: mkheader.py structs.py $(ROOT)/arch-ia64.h $(ROOT)/xen.h
	python $< $* $@ $(filter %.h,$^)

checker.c: mkchecker.py structs.py
	python $< $@ $(architectures)

=== debian/changelog ===
xe-guest-utilities (5.6.0-595) etch; urgency=low

  * Build for xenenterprise 5.6.0-39674p.

 -- Citrix Systems, Inc. <www.citrix.com>  Mon, 20 Dec 2010 15:34:07 +0000

=== debian/control ===
Source: xe-guest-utilities
Section: main/admin
Priority: optional
Maintainer: Citrix Systems, Inc. <www.citrix.com>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.0.0)

Package: xe-guest-utilities
Architecture: any
Conflicts: xengmond
Replaces: xengmond
Description: Virtual Machine Monitoring Scripts
 Scripts for monitoring Virtual Machines.
 .
 Writes distribution version information and IP address to XenStore.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	touch $@

clean:
	dh_testdir
	dh_testroot

	dh_clean

binary: binary-arch binary-indep

binary-arch: DESTDIR=debian/xe-guest-utilities
binary-arch: build
	dh_testdir
	dh_testroot

	dh_clean -k

	dh_installdirs 

	cp xe-linux-distribution $(DESTDIR)/usr/sbin/xe-linux-distribution
	chmod 0755 $(DESTDIR)/usr/sbin/xe-linux-distribution

	cp xe-update-guest-attrs $(DESTDIR)/usr/sbin/xe-update-guest-attrs
	chmod 0755 $(DESTDIR)/usr/sbin/xe-update-guest-attrs

	cp xe-daemon $(DESTDIR)/usr/sbin/xe-daemon
	chmod 0755 $(DESTDIR)/usr/sbin/xe-daemon

	tar -C $(DESTDIR) -xjf xenstore.tar.bz2
	rm $(DESTDIR)/usr/bin/xeninfo

	cp xen-vcpu-hotplug.rules $(DESTDIR)/etc/udev/rules.d/z10_xen-vcpu-hotplug.rules

	dh_installinit --name xe-linux-distribution \
		-- start 14 2 3 4 5 . stop 86 0 1 6 .

	dh_install citrix.list /usr/share/xe-guest-utilities

	dh_installdocs COPYING COPYING.LGPL

	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

## xe-guest-utilities 6.1.0-1033

=== tools/libxc/Makefile ===
--- 
+++ 
@@ -1,15 +1,17 @@
-XEN_ROOT = ../..
+XEN_ROOT = $(CURDIR)/../..
 include $(XEN_ROOT)/tools/Rules.mk
 
-MAJOR    = 3.4
+MAJOR    = 4.0
 MINOR    = 0
 
 CTRL_SRCS-y       :=
 CTRL_SRCS-y       += xc_core.c
 CTRL_SRCS-$(CONFIG_X86) += xc_core_x86.c
 CTRL_SRCS-$(CONFIG_IA64) += xc_core_ia64.c
+CTRL_SRCS-y       += xc_cpupool.c
 CTRL_SRCS-y       += xc_domain.c
 CTRL_SRCS-y       += xc_evtchn.c
+CTRL_SRCS-y       += xc_gnttab.c
 CTRL_SRCS-y       += xc_misc.c
 CTRL_SRCS-y       += xc_acm.c
 CTRL_SRCS-y       += xc_flask.c
@@ -17,21 +19,32 @@
 CTRL_SRCS-y       += xc_private.c
 CTRL_SRCS-y       += xc_sedf.c
 CTRL_SRCS-y       += xc_csched.c
+CTRL_SRCS-y       += xc_csched2.c
+CTRL_SRCS-y       += xc_arinc653.c
 CTRL_SRCS-y       += xc_tbuf.c
 CTRL_SRCS-y       += xc_pm.c
 CTRL_SRCS-y       += xc_cpu_hotplug.c
 CTRL_SRCS-y       += xc_resume.c
+CTRL_SRCS-y       += xc_tmem.c
+CTRL_SRCS-y       += xc_mem_event.c
+CTRL_SRCS-y       += xc_mem_paging.c
+CTRL_SRCS-y       += xc_mem_access.c
+CTRL_SRCS-y       += xc_memshr.c
+CTRL_SRCS-y       += xc_hcall_buf.c
+CTRL_SRCS-y       += xc_foreign_memory.c
+CTRL_SRCS-y       += xtl_core.c
+CTRL_SRCS-y       += xtl_logger_stdio.c
 CTRL_SRCS-$(CONFIG_X86) += xc_cpuid_x86.c
 CTRL_SRCS-$(CONFIG_X86) += xc_pagetab.c
-CTRL_SRCS-$(CONFIG_Linux) += xc_linux.c
+CTRL_SRCS-$(CONFIG_Linux) += xc_linux.c xc_linux_osdep.c
 CTRL_SRCS-$(CONFIG_SunOS) += xc_solaris.c
-CTRL_SRCS-$(CONFIG_X86_Linux) += xc_ptrace.c xc_ptrace_core.c
 CTRL_SRCS-$(CONFIG_NetBSD) += xc_netbsd.c
 CTRL_SRCS-$(CONFIG_MiniOS) += xc_minios.c
 
 GUEST_SRCS-y :=
 GUEST_SRCS-y += xg_private.c xc_suspend.c
 GUEST_SRCS-$(CONFIG_MIGRATE) += xc_domain_restore.c xc_domain_save.c
+GUEST_SRCS-$(CONFIG_MIGRATE) += xc_offline_page.c
 GUEST_SRCS-$(CONFIG_HVM) += xc_hvm_build.c
 
 vpath %.c ../../xen/common/libelf
@@ -50,6 +63,8 @@
 GUEST_SRCS-$(CONFIG_X86)     += xc_dom_x86.c
 GUEST_SRCS-$(CONFIG_IA64)    += xc_dom_ia64.c
 
+OSDEP_SRCS-y                 += xenctrl_osdep_ENOSYS.c
+
 -include $(XEN_TARGET_ARCH)/Makefile
 
 CFLAGS   += -Werror -Wmissing-prototypes
@@ -78,6 +93,9 @@
 GUEST_LIB_OBJS := $(patsubst %.c,%.o,$(GUEST_SRCS-y))
 GUEST_PIC_OBJS := $(patsubst %.c,%.opic,$(GUEST_SRCS-y))
 
+OSDEP_LIB_OBJS := $(patsubst %.c,%.o,$(OSDEP_SRCS-y))
+OSDEP_PIC_OBJS := $(patsubst %.c,%.opic,$(OSDEP_SRCS-y))
+
 LIB := libxenctrl.a
 ifneq ($(stubdom),y)
 LIB += libxenctrl.so libxenctrl.so.$(MAJOR) libxenctrl.so.$(MAJOR).$(MINOR)
@@ -86,6 +104,10 @@
 LIB += libxenguest.a
 ifneq ($(stubdom),y)
 LIB += libxenguest.so libxenguest.so.$(MAJOR) libxenguest.so.$(MAJOR).$(MINOR)
+endif
+
+ifneq ($(stubdom),y)
+LIB += xenctrl_osdep_ENOSYS.so
 endif
 
 .PHONY: all
@@ -106,8 +128,7 @@
 	$(INSTALL_DATA) libxenctrl.a $(DESTDIR)$(LIBDIR)
 	ln -sf libxenctrl.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)/libxenctrl.so.$(MAJOR)
 	ln -sf libxenctrl.so.$(MAJOR) $(DESTDIR)$(LIBDIR)/libxenctrl.so
-	$(INSTALL_DATA) xenctrl.h $(DESTDIR)$(INCLUDEDIR)
-
+	$(INSTALL_DATA) xenctrl.h xenctrlosdep.h xentoollog.h $(DESTDIR)$(INCLUDEDIR)
 	$(INSTALL_PROG) libxenguest.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)
 	$(INSTALL_DATA) libxenguest.a $(DESTDIR)$(LIBDIR)
 	ln -sf libxenguest.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)/libxenguest.so.$(MAJOR)
@@ -122,7 +143,8 @@
 clean:
 	rm -rf *.rpm $(LIB) *~ $(DEPS) \
             $(CTRL_LIB_OBJS) $(CTRL_PIC_OBJS) \
-            $(GUEST_LIB_OBJS) $(GUEST_PIC_OBJS)
+            $(GUEST_LIB_OBJS) $(GUEST_PIC_OBJS) \
+            $(OSDEP_LIB_OBJS) $(OSDEP_PIC_OBJS)
 
 .PHONY: rpm
 rpm: build
@@ -145,7 +167,7 @@
 	ln -sf $< $@
 
 libxenctrl.so.$(MAJOR).$(MINOR): $(CTRL_PIC_OBJS)
-	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,$(SONAME_LDFLAG) -Wl,libxenctrl.so.$(MAJOR) $(SHLIB_CFLAGS) -o $@ $^ $(LIBXC_LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,$(SONAME_LDFLAG) -Wl,libxenctrl.so.$(MAJOR) $(DLOPEN_LIBS) $(SHLIB_LDFLAGS) -o $@ $^ $(LIBXC_LIBS)
 
 # libxenguest
 
@@ -169,15 +191,22 @@
 	 if has_header lzma.h; then			\
 	   echo "-DHAVE_LZMA";				\
 	   echo "-llzma";				\
+	 fi;						\
+	 if has_header lzo/lzo1x.h; then		\
+	   echo "-DHAVE_LZO1X";				\
+	   echo "-llzo2";				\
 	 fi) | grep $(1))
 endif
 
 xc_dom_bzimageloader.o: CFLAGS += $(call zlib-options,D)
 xc_dom_bzimageloader.opic: CFLAGS += $(call zlib-options,D)
 
-libxenguest.so.$(MAJOR).$(MINOR): LDFLAGS += $(call zlib-options,l)
+libxenguest.so.$(MAJOR).$(MINOR): COMPRESSION_LIBS = $(call zlib-options,l)
 libxenguest.so.$(MAJOR).$(MINOR): $(GUEST_PIC_OBJS) libxenctrl.so
-	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,$(SONAME_LDFLAG) -Wl,libxenguest.so.$(MAJOR) $(SHLIB_CFLAGS) -o $@ $(GUEST_PIC_OBJS) -lz -lxenctrl
+	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,$(SONAME_LDFLAG) -Wl,libxenguest.so.$(MAJOR) $(SHLIB_LDFLAGS) -o $@ $(GUEST_PIC_OBJS) $(COMPRESSION_LIBS) -lz -lxenctrl $(PTHREAD_LIBS)
+
+xenctrl_osdep_ENOSYS.so: $(OSDEP_PIC_OBJS) libxenctrl.so
+	$(CC) -g $(CFLAGS) $(LDFLAGS) $(SHLIB_LDFLAGS) -o $@ $(OSDEP_PIC_OBJS) -lxenctrl
 
 -include $(DEPS)

=== tools/misc/Makefile ===
XEN_ROOT=$(CURDIR)/../..
include $(XEN_ROOT)/tools/Rules.mk

CFLAGS   += -Werror

INCLUDES += -I $(XEN_XC)
INCLUDES += -I $(XEN_LIBXC)
INCLUDES += -I $(XEN_INCLUDE)
CFLAGS   += $(INCLUDES)

HDRS     = $(wildcard *.h)

TARGETS-y := xenperf xenpm xen-tmem-list-parse gtraceview gtracestat xenlockprof xenwatchdogd
TARGETS-y += xeninfo
TARGETS-$(CONFIG_X86) += xen-detect xen-hvmctx xen-hvmcrash
TARGETS-$(CONFIG_MIGRATE) += xen-hptool
TARGETS := $(TARGETS-y)

SUBDIRS-$(CONFIG_LOMOUNT) += lomount
SUBDIRS-$(CONFIG_MINITERM) += miniterm
SUBDIRS := $(SUBDIRS-y)

INSTALL_BIN-y := xencons xeninfo
INSTALL_BIN-$(CONFIG_X86) += xen-detect
INSTALL_BIN := $(INSTALL_BIN-y)

INSTALL_SBIN-y := xen-python-path xenperf xenpm xenwatchdogd xen-ringwatch
INSTALL_SBIN-$(CONFIG_X86) += xen-hvmctx xen-hvmcrash
INSTALL_SBIN-$(CONFIG_MIGRATE) += xen-hptool
INSTALL_SBIN := $(INSTALL_SBIN-y)

.PHONY: all
all: build

.PHONY: build
build: $(TARGETS)
	set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d; done

.PHONY: install
install: build
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SBINDIR)
	$(INSTALL_PYTHON_PROG) $(INSTALL_BIN) $(DESTDIR)$(BINDIR)
	$(INSTALL_PYTHON_PROG) $(INSTALL_SBIN) $(DESTDIR)$(SBINDIR)
	set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d install-recurse; done

.PHONY: clean
clean:
	$(RM) *.o $(TARGETS) *~ $(DEPS)
	set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d clean; done

%.o: %.c $(HDRS) Makefile
	$(CC) -c $(CFLAGS) -o $@ $<

xen-hvmctx xen-hvmcrash xenperf xenpm gtracestat xenlockprof xen-hptool xenwatchdogd: %: %.o Makefile
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LDLIBS_libxenctrl) $(LDLIBS_libxenguest) $(LDLIBS_libxenstore)

gtraceview: %: %.o Makefile
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(CURSES_LIBS)

xeninfo: %: %.o Makefile
	$(CC) $(LDFLAGS) -o $@ $< -L$(XEN_LIBXC) -lxenctrl

-include $(DEPS)

=== debian/changelog ===
xe-guest-utilities (6.1.0-1033) etch; urgency=low

  * Build for xenenterprise 6.1.0-59235p.

 -- Citrix Systems, Inc. <www.citrix.com>  Tue, 25 Sep 2012 10:44:29 +0000

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	tar -C $(DESTDIR) -xjf xenstore.tar.bz2
 	rm $(DESTDIR)/usr/bin/xeninfo
 
-	cp xen-vcpu-hotplug.rules $(DESTDIR)/etc/udev/rules.d/z10_xen-vcpu-hotplug.rules
+	cp xen-vcpu-hotplug.rules $(DESTDIR)/lib/udev/rules.d/z10_xen-vcpu-hotplug.rules
 
 	dh_installinit --name xe-linux-distribution \
 		-- start 14 2 3 4 5 . stop 86 0 1 6 .

## xe-guest-utilities 6.2.0-1120

=== tools/libxc/Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 CTRL_SRCS-y       += xc_memshr.c
 CTRL_SRCS-y       += xc_hcall_buf.c
 CTRL_SRCS-y       += xc_foreign_memory.c
+CTRL_SRCS-y       += xc_kexec.c
 CTRL_SRCS-y       += xtl_core.c
 CTRL_SRCS-y       += xtl_logger_stdio.c
 CTRL_SRCS-$(CONFIG_X86) += xc_cpuid_x86.c
@@ -50,8 +51,13 @@
 vpath %.c ../../xen/common/libelf
 CFLAGS += -I../../xen/common/libelf
 
-GUEST_SRCS-y += libelf-tools.c libelf-loader.c
-GUEST_SRCS-y += libelf-dominfo.c libelf-relocate.c
+ELF_SRCS-y += libelf-tools.c libelf-loader.c
+ELF_SRCS-y += libelf-dominfo.c
+
+GUEST_SRCS-y += $(ELF_SRCS-y)
+
+$(patsubst %.c,%.o,$(ELF_SRCS-y)): CFLAGS += -Wno-pointer-sign
+$(patsubst %.c,%.opic,$(ELF_SRCS-y)): CFLAGS += -Wno-pointer-sign
 
 # new domain builder
 GUEST_SRCS-y                 += xc_dom_core.c xc_dom_boot.c

=== tools/misc/Makefile ===
--- 
+++ 
@@ -10,8 +10,7 @@
 
 HDRS     = $(wildcard *.h)
 
-TARGETS-y := xenperf xenpm xen-tmem-list-parse gtraceview gtracestat xenlockprof xenwatchdogd
-TARGETS-y += xeninfo
+TARGETS-y := xenperf xenpm xen-tmem-list-parse gtraceview gtracestat xenlockprof xenwatchdogd xeninfo
 TARGETS-$(CONFIG_X86) += xen-detect xen-hvmctx xen-hvmcrash
 TARGETS-$(CONFIG_MIGRATE) += xen-hptool
 TARGETS := $(TARGETS-y)

=== tools/xenstore/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-XEN_ROOT=../..
+XEN_ROOT=$(CURDIR)/../..
 include $(XEN_ROOT)/tools/Rules.mk
 
 MAJOR = 3.0
@@ -9,7 +9,7 @@
 CFLAGS += $(CFLAGS_libxenctrl)
 
 CLIENTS := xenstore-exists xenstore-list xenstore-read xenstore-rm xenstore-chmod
-CLIENTS += xenstore-write xenstore-ls
+CLIENTS += xenstore-write xenstore-ls xenstore-watch
 
 XENSTORED_OBJS = xenstored_core.o xenstored_watch.o xenstored_domain.o xenstored_transaction.o xs_lib.o talloc.o utils.o tdb.o hashtable.o
 
@@ -26,11 +26,13 @@
 xenstore xenstore-control: CFLAGS += -static
 endif
 
+ALL_TARGETS = libxenstore.so libxenstore.a clients xenstored
+
 .PHONY: all
-all: libxenstore.so libxenstore.a clients
+all: $(ALL_TARGETS)
 
 .PHONY: clients
-clients: xenstore $(CLIENTS)
+clients: xenstore $(CLIENTS) xenstore-control
 
 ifeq ($(CONFIG_SunOS),y)
 xenstored_probes.h: xenstored_probes.d
@@ -45,7 +47,7 @@
 endif
  
 xenstored: $(XENSTORED_OBJS)
-	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LDFLAGS_libxenctrl) $(SOCKET_LIBS) -o $@
+	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LDLIBS_libxenctrl) $(SOCKET_LIBS) -o $@
 
 $(CLIENTS): xenstore
 	ln -f xenstore $@
@@ -67,7 +69,7 @@
 xs.opic: CFLAGS += -DUSE_PTHREAD
 
 libxenstore.so.$(MAJOR).$(MINOR): xs.opic xs_lib.opic
-	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,$(SONAME_LDFLAG) -Wl,libxenstore.so.$(MAJOR) $(SHLIB_CFLAGS) -o $@ $^ $(SOCKET_LIBS) -lpthread
+	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,$(SONAME_LDFLAG) -Wl,libxenstore.so.$(MAJOR) $(SHLIB_LDFLAGS) -o $@ $^ $(SOCKET_LIBS) -lpthread
 
 libxenstore.a: xs.o xs_lib.o
 	$(AR) rcs $@ $^
@@ -88,6 +90,27 @@
 tarball: clean
 	cd .. && tar -c -j -v -h -f xenstore.tar.bz2 xenstore/
 
+.PHONY: install
+install: all
+	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
+	$(INSTALL_DIR) $(DESTDIR)$(SBINDIR)
+	$(INSTALL_DIR) $(DESTDIR)$(INCLUDEDIR)
+	$(INSTALL_DIR) $(DESTDIR)/var/run/xenstored
+	$(INSTALL_DIR) $(DESTDIR)/var/lib/xenstored
+	$(INSTALL_PROG) xenstored $(DESTDIR)$(SBINDIR)
+	$(INSTALL_PROG) xenstore-control $(DESTDIR)$(BINDIR)
+	$(INSTALL_PROG) xenstore $(DESTDIR)$(BINDIR)
+	set -e ; for c in $(CLIENTS) ; do \
+		ln -f $(DESTDIR)$(BINDIR)/xenstore $(DESTDIR)$(BINDIR)/$${c} ; \
+	done
+	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
+	$(INSTALL_PROG) libxenstore.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)
+	ln -sf libxenstore.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)/libxenstore.so.$(MAJOR)
+	ln -sf libxenstore.so.$(MAJOR) $(DESTDIR)$(LIBDIR)/libxenstore.so
+	$(INSTALL_DATA) libxenstore.a $(DESTDIR)$(LIBDIR)
+	$(INSTALL_DATA) xs.h $(DESTDIR)$(INCLUDEDIR)
+	$(INSTALL_DATA) xs_lib.h $(DESTDIR)$(INCLUDEDIR)
+
 .PHONY: client-install
 client-install: $(CLIENTS)
 	$(INSTALL_DIR) $(DESTDIR)/usr/bin
@@ -96,19 +119,5 @@
 		ln -f $(DESTDIR)/usr/bin/xenstore $(DESTDIR)/usr/bin/$${c} ; \
 	done
 
-.PHONY: install
-install: all client-install
-	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
-	$(INSTALL_DIR) $(DESTDIR)$(INCLUDEDIR)
-	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
-	$(INSTALL_PROG) libxenstore.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)
-	ln -sf libxenstore.so.$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)/libxenstore.so.$(MAJOR)
-	ln -sf libxenstore.so.$(MAJOR) $(DESTDIR)$(LIBDIR)/libxenstore.so
-	$(INSTALL_DATA) libxenstore.a $(DESTDIR)$(LIBDIR)
-	$(INSTALL_DATA) xs.h $(DESTDIR)$(INCLUDEDIR)
-	$(INSTALL_DATA) xs_lib.h $(DESTDIR)$(INCLUDEDIR)
-
--include $(DEPS)
-
 # never delete any intermediate files.
 .SECONDARY:

=== debian/changelog ===
xe-guest-utilities (6.2.0-1120) etch; urgency=low

  * Build for xenenterprise 6.2.0-70442c.

 -- Citrix Systems, Inc. <www.citrix.com>  Fri, 14 Jun 2013 12:57:34 +0000

## xe-guest-utilities 6.2.0-1120+dsf1

=== debian/changelog ===
xe-guest-utilities (6.2.0-1120+dsf1-0ubuntu1~12.04.0) precise; urgency=medium

  * Backport to 12.04 (LP: #1490624).

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 01 Sep 2015 14:27:43 -0600

xe-guest-utilities (6.2.0-1120+dsf1-0ubuntu1) wily; urgency=medium

  [ Ben Howard ]
  * Initial packaging/forking for usability in Ubuntu.
    - depend on xenstore-utils rather than pre-packaged binary blobs.
    - created systemd files
    - created upstart files
  * Source changes:
    - deleted xenstore-sources.tar.bz2
    - deleted xenstore.tar.bz2
    - deleted apt source 'citrix.list' as both broken and unneeded
    - deleted debian/*.{postinst,prerm} as unneeded
    - modified debian/rules
  * Generalized upstart/systemd descriptions.
  * Changed systemd target for proc-xen.mounts.
  * Fix systemd job for xe-daemon.service to use ConditionPathExists.
  * Modernize the CPU hotplug udev rule.
  * Closes (LP: #1459455).

  [ Steve Langasek ]
  * Adjust debian/copyright to comply with copyright-format 1.0; and fix
    inclusion of personal copyright statement on Canonical code.
  * Remove debian/postinst and debian/postrm that are empty except for the
    debhelper tokens; fixes lintian warning due to ignored errors.  Let
    debhelper create the scripts itself so it gets them right.
  * Drop a no-op debian/docs.
  * Rename debian/nova-agent.upstart to
    debian/xe-guest-utilities.xe-daemon.upstart and let it be picked up
    automatically in debian/rules.
  * Don't make systemd vs. upstart support conditional on the target release.

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 13 Aug 2015 16:28:48 -0600

=== debian/control ===
Source: xe-guest-utilities
Section: admin
Priority: optional
Maintainer: Ben Howard <ben.howard@ubuntu.com>
XSBC-Original-Maintainer: Citrix <www.citrix.com>
Homepage: http://www.citrix.com
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
               gawk,
               lsb-release,
               quilt

Package: xe-guest-utilities
Architecture: all
Conflicts: xengmond
Replaces: xengmond
Depends: xenstore-utils,
         cloud-init,
         lsb-release,
         net-tools,
         ${misc:Depends}
Description: Scripts for monitoring Xen Virtual machines
 Scripts for monitoring Virtual Machines on a Xen Hypervisor.
 .
 Writes distribution version information and IP address to XenStore.
 .
 This specific package is derived from the xe-guest-utilities package and
 has been modified to work with the Ubuntu in-archive versions of
 xenstore-utils.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#
UPSTREAM_VERSION = $(shell dpkg-parsechangelog --show-field Version | awk '-F[:+]' '{print$$1}')
UPSTREAM_MAJOR = $(shell dpkg-parsechangelog --show-field Version | awk '-F[:+]' '{print$$1}')
UPSTREAM_DEB =  http://downloads.vmd.citrix.com/OpenStack/xe-guest-utilities/xe-guest-utilities_${UPSTREAM_MAJOR}_amd64.deb
PKG_NAME = $(shell dpkg-parsechangelog --show-field Source)
SPKG_VER = $(shell dpkg-parsechangelog --show-field Version |  awk '-F[:-]' '{print$$1"-"$$2}' )
SRC_PKG = $(PKG_NAME)_$(SPKG_VER).orig.tar.gz
CURDIR = $(shell pwd)

%:
	dh $@

get-packaged-orig-source:
	wget -O orig.deb $(UPSTREAM_DEB)
	mkdir extracted
	dpkg -x orig.deb extracted
	# Remove the binary xen-store utilities
	rm -rf extracted/usr/bin
	# Drop the share file as redundant. This contains superceeded copyright
	# notices that are not in the correct format and deprecated apt sources list.
	rm -rf extracted/usr/share
	# We don't need the old init.d job
	rm -rf extracted/etc
	tar -C extracted -zcvf $(CURDIR)/$(SRC_PKG) .

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade --name xe-daemon
	dh_installinit --no-restart-on-upgrade --name xe-cloud

override_dh_systemd_enable:
	dh_systemd_enable --name xe-daemon xe-daemon.service


.PHONY: get-orig-source

## xe-guest-utilities 7.4.0

=== Makefile ===
PRODUCT_MAJOR_VERSION=6
PRODUCT_MINOR_VERSION=6
PRODUCT_MICRO_VERSION=80
PRODUCT_VERSION = $(PRODUCT_MAJOR_VERSION).$(PRODUCT_MINOR_VERSION).$(PRODUCT_MICRO_VERSION)

GO_BUILD = go build
GO_FLAGS = -v

REPO = $(shell pwd)
SOURCEDIR = $(REPO)/mk
BUILDDIR = $(REPO)/build
GOBUILDDIR = $(BUILDDIR)/gobuild
STAGEDIR = $(BUILDDIR)/stage
OBJECTDIR = $(BUILDDIR)/obj
DISTDIR = $(BUILDDIR)/dist

OBJECTS :=
OBJECTS += $(OBJECTDIR)/xe-daemon
OBJECTS += $(OBJECTDIR)/xenstore

PACKAGE = xe-guest-utilities
VERSION = $(PRODUCT_VERSION)
RELEASE := $(shell git rev-list HEAD | wc -l)
ARCH := $(shell go version|awk -F'/' '{print $$2}')

ifeq ($(ARCH), amd64)
	ARCH = x86_64
endif

XE_DAEMON_SOURCES :=
XE_DAEMON_SOURCES += ./xe-daemon/xe-daemon.go
XE_DAEMON_SOURCES += ./syslog/syslog.go
XE_DAEMON_SOURCES += ./system/system.go
XE_DAEMON_SOURCES += ./guestmetric/guestmetric.go
XE_DAEMON_SOURCES += ./guestmetric/guestmetric_linux.go
XE_DAEMON_SOURCES += ./xenstoreclient/xenstore.go

XENSTORE_SOURCES :=
XENSTORE_SOURCES += ./xenstore/xenstore.go
XENSTORE_SOURCES += ./xenstoreclient/xenstore.go

.PHONY: build
build: $(DISTDIR)/$(PACKAGE)_$(VERSION)-$(RELEASE)_$(ARCH).tgz

.PHONY: clean
clean:
	$(RM) -rf $(BUILDDIR)

$(DISTDIR)/$(PACKAGE)_$(VERSION)-$(RELEASE)_$(ARCH).tgz: $(OBJECTS)
	( mkdir -p $(DISTDIR) ; \
	  install -d $(STAGEDIR)/etc/init.d/ ; \
	  install -m 755 $(SOURCEDIR)/xe-linux-distribution.init $(STAGEDIR)/etc/init.d/xe-linux-distribution ; \
	  install -d $(STAGEDIR)/usr/sbin/ ; \
	  install -m 755 $(SOURCEDIR)/xe-linux-distribution $(STAGEDIR)/usr/sbin/xe-linux-distribution ; \
	  install -m 755 $(OBJECTDIR)/xe-daemon $(STAGEDIR)/usr/sbin/xe-daemon ; \
	  install -d $(STAGEDIR)/usr/bin/ ; \
	  install -m 755 $(OBJECTDIR)/xenstore $(STAGEDIR)/usr/bin/xenstore ; \
	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-read ; \
	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-write ; \
	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-exists ; \
	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-rm ; \
	  install -d $(STAGEDIR)/etc/udev/rules.d/ ; \
	  install -m 644 $(SOURCEDIR)/xen-vcpu-hotplug.rules $(STAGEDIR)/etc/udev/rules.d/z10_xen-vcpu-hotplug.rules ; \
	  cd $(STAGEDIR) ; \
	  tar cf $@ * \
	)

$(OBJECTDIR)/xe-daemon: $(XE_DAEMON_SOURCES:%=$(GOBUILDDIR)/%)
	mkdir -p $(OBJECTDIR)
	$(GO_BUILD) $(GO_FLAGS) -o $@ $<

$(OBJECTDIR)/xenstore: $(XENSTORE_SOURCES:%=$(GOBUILDDIR)/%) $(GOROOT)
	mkdir -p $(OBJECTDIR)
	$(GO_BUILD) $(GO_FLAGS) -o $@ $<

$(GOBUILDDIR)/%: $(REPO)/%
	mkdir -p $$(dirname $@)
	cat $< | \
	sed -e "s/@PRODUCT_MAJOR_VERSION@/$(PRODUCT_MAJOR_VERSION)/g" | \
	sed -e "s/@PRODUCT_MINOR_VERSION@/$(PRODUCT_MINOR_VERSION)/g" | \
	sed -e "s/@PRODUCT_MICRO_VERSION@/$(PRODUCT_MICRO_VERSION)/g" | \
	sed -e "s/@NUMERIC_BUILD_NUMBER@/$(RELEASE)/g" \
	> $@

=== debian/changelog ===
xe-guest-utilities (7.4.0-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - adds mac address reporting
    - adds disk drive reporting
  * Use actual upstream source code from github, and watch file
  * Drop all patches, custom get-orig source, README.source, and useless
    manpages
  * Set Vcs-Git location
  * Use absolute imports to support building with gccgo.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Jun 2017 18:58:24 +0100

xe-guest-utilities (6.2.0-1120+dsf1-0ubuntu4) zesty; urgency=medium

  * debian/xe-guest-utilities.xe-daemon.service: declare
    DefaultDependencies=no to prevent dependency cycles. The unit cannot
    be simultaniously before and after sysinit target. By default all
    units are after sysinit target, yet cloud-init-local is before it. LP:
    #1669755

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Mar 2017 12:33:01 +0000

xe-guest-utilities (6.2.0-1120+dsf1-0ubuntu3) xenial; urgency=medium

  * upstart job: Check if /sys/hypervisor/type exists before attempting to
    read it (LP: #1504481).

 -- Ben Howard <ben.howard@ubuntu.com>  Fri, 23 Oct 2015 12:01:49 -0600

xe-guest-utilities (6.2.0-1120+dsf1-0ubuntu2) wily; urgency=medium

  * Drop 'depends' for cloud-init (LP: #1496730).

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 17 Sep 2015 08:57:54 -0600

=== debian/control ===
Source: xe-guest-utilities
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Homepage: https://launchpad.net/ubuntu/+source/xe-guest-utilities
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), gawk, golang | gccgo-go (<< 1.3), dh-systemd
Vcs-Browse: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/xe-guest-utilities
Vsc-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/xe-guest-utilities

Package: xe-guest-utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: daemon for monitoring Xen Virtual machines
 xe-daemon for monitoring Virtual Machines on a Xen Hypervisor.
 .
 Writes distribution version information, disk and networking
 statistics to XenStore.

## xe-guest-utilities 7.10.0

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
 	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-write ; \
 	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-exists ; \
 	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-rm ; \
+	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-list ; \
 	  install -d $(STAGEDIR)/etc/udev/rules.d/ ; \
 	  install -m 644 $(SOURCEDIR)/xen-vcpu-hotplug.rules $(STAGEDIR)/etc/udev/rules.d/z10_xen-vcpu-hotplug.rules ; \
 	  cd $(STAGEDIR) ; \

=== mk/Makefile ===
ifeq ($(COMPONENT),guest-utilities-rpm)
include Makefile.rpm
endif

ifeq ($(COMPONENT),guest-utilities-deb)
include Makefile.deb
endif

ifeq ($(COMPONENT),guest-utilities-tgz)
include Makefile.tgz
endif

=== debian/changelog ===
xe-guest-utilities (7.10.0-0ubuntu1) bionic; urgency=medium

  * New upstream release, minor:
    * [hwe] CP-26664: Add NET SRIOV VF IP collection (#49)
    * note xenstore command line util is improved, but not shipped in the
      deb package
  * Drop upstart system jobs.
  * Bump standards version, use debhelper for systemd jobs.
  * Update copyright file.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 16 Apr 2018 16:11:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Homepage: https://launchpad.net/ubuntu/+source/xe-guest-utilities
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), gawk, golang | gccgo-go (<< 1.3), dh-systemd
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), gawk, golang | gccgo-go (<< 1.3)
 Vcs-Browse: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/xe-guest-utilities
 Vsc-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/xe-guest-utilities

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade --name xe-daemon
	dh_installinit --no-restart-on-upgrade --name xe-cloud

override_dh_systemd_enable:
	dh_systemd_enable --name xe-daemon xe-daemon.service

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xe-guest-utilities-$1.tar.gz%" \
    https://github.com/xenserver/xe-guest-utilities/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## xe-guest-utilities 7.20.2

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,11 @@
 PACKAGE = xe-guest-utilities
 VERSION = $(PRODUCT_VERSION)
 RELEASE := $(shell git rev-list HEAD | wc -l)
-ARCH := $(shell go version|awk -F'/' '{print $$2}')
+ifeq ($(GOARCH),)
+        ARCH := $(shell go version|awk -F'/' '{print $$2}')
+else
+        ARCH := $(GOARCH)
+endif
 
 ifeq ($(ARCH), amd64)
 	ARCH = x86_64
@@ -55,15 +59,18 @@
 	  install -m 755 $(OBJECTDIR)/xe-daemon $(STAGEDIR)/usr/sbin/xe-daemon ; \
 	  install -d $(STAGEDIR)/usr/bin/ ; \
 	  install -m 755 $(OBJECTDIR)/xenstore $(STAGEDIR)/usr/bin/xenstore ; \
-	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-read ; \
-	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-write ; \
-	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-exists ; \
-	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-rm ; \
-	  ln -sf /usr/bin/xenstore $(STAGEDIR)/usr/bin/xenstore-list ; \
+	  ln -sf xenstore $(STAGEDIR)/usr/bin/xenstore-read ; \
+	  ln -sf xenstore $(STAGEDIR)/usr/bin/xenstore-write ; \
+	  ln -sf xenstore $(STAGEDIR)/usr/bin/xenstore-exists ; \
+	  ln -sf xenstore $(STAGEDIR)/usr/bin/xenstore-rm ; \
+	  ln -sf xenstore $(STAGEDIR)/usr/bin/xenstore-list ; \
+	  ln -sf xenstore $(STAGEDIR)/usr/bin/xenstore-ls ; \
+	  ln -sf xenstore $(STAGEDIR)/usr/bin/xenstore-chmod ; \
+	  ln -sf xenstore $(STAGEDIR)/usr/bin/xenstore-watch ; \
 	  install -d $(STAGEDIR)/etc/udev/rules.d/ ; \
 	  install -m 644 $(SOURCEDIR)/xen-vcpu-hotplug.rules $(STAGEDIR)/etc/udev/rules.d/z10_xen-vcpu-hotplug.rules ; \
 	  cd $(STAGEDIR) ; \
-	  tar cf $@ * \
+	  tar zcf $@ * \
 	)
 
 $(OBJECTDIR)/xe-daemon: $(XE_DAEMON_SOURCES:%=$(GOBUILDDIR)/%)

=== debian/changelog ===
xe-guest-utilities (7.20.2-0ubuntu1~22.04.2) jammy; urgency=medium

  * No-change upload to fix accidental acceptance.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 14 Feb 2023 16:12:31 +0100

xe-guest-utilities (7.20.2-0ubuntu1~22.04.1) jammy; urgency=medium

  * No-change rebuild for Jammy (based on Lunar). (LP: #2006459)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 07 Feb 2023 16:53:41 +0530

xe-guest-utilities (7.20.2-0ubuntu1) lunar; urgency=medium

  * New upstream version 7.20.2.
  * Refresh d/patches.
  * Drop d/patches as we're using the upstream Makefile.
  * Fix FTBFS with newer Golang.
    - Thanks, Shengjing Zhu, for your help! \o/
  * Fix FTBFS when bumping dh-compat to 12.
  * Prettify d/control and fix minor issues.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 07 Feb 2023 13:43:38 +0530

xe-guest-utilities (7.10.0-0ubuntu2) eoan; urgency=medium

  * Set GOCACHE to a safely writeable directory, fixing ftbfs with Go 1.12+.
    (LP: #1843767).
  * Fix typos in Vcs-* fields in d/control. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 25 Sep 2019 09:36:13 +1200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_build:
	GOPATH=$(CURDIR)/_build/ GOCACHE=$(CURDIR)/_build/go-build GO111MODULE=off \
		$(MAKE) build

override_dh_auto_install:

override_dh_auto_test:

override_dh_installinit:
	dh_installinit --no-stop-on-upgrade --name xe-daemon
	dh_installinit --no-stop-on-upgrade --name xe-cloud

override_dh_installsystemd:
	dh_installsystemd -p xe-guest-utilities --name xe-daemon xe-daemon.service

override_dh_dwz:
